
#undef TRACEPOINT_PROVIDER
#define TRACEPOINT_PROVIDER memcached

#undef TRACEPOINT_INCLUDE
#define TRACEPOINT_INCLUDE "./cmd-get.h"

#ifdef __cplusplus
extern "C"{
#endif /* __cplusplus */


#if !defined(CMD-GET_H) || defined(TRACEPOINT_HEADER_MULTI_READ)
#define CMD-GET_H

#include <lttng/tracepoint.h>

TRACEPOINT_EVENT(
	memcached,
	cmd_get,
	TP_ARGS(char *, key),
	/* Next are the fields */
	TP_FIELDS(
		ctf_string(message, key)
	)
)

#endif /* CMD-GET_H */

#include <lttng/tracepoint-event.h>

#ifdef __cplusplus
}
#endif /* __cplusplus */

